﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 510A: (1 year) VER IEEE /5500A+SC600
DATE:                  2017-03-27 11:37:59
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       221
CONFIGURATION:         Fluke 5500A (S6)
=============================================================================
#
#  Procedure Author:
#        DAC, DFM, VY
#
#  Source:
#        TDS 510A Digitizing Oscilloscope
#        Service Manual, Part No. 070-9704-02
#
#  Compatibility:
#        MET/CAL 7.3.38 or Later.
#
#  Additional Equipment Required:
#        Cable, coaxial, BNC(m) to test clips, 36" (Pomona 3787-C-36)
#        Cable, coaxial, BNC(m)-(m), 36"
#        Cable, coaxial, BNC(m)-(m), 12"
#        Dual Input Coupler (BNC)
#        50 Ohm Feedthrough (BNC)
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IF           0
  1.002  5500         500MH                        1Vpp           LS S6 S  L
  1.003  ENDIF

  1.004  MATH         @UUT_Model = "TDS 510A"

  1.005  ASK-   R   Q N              P                            F        V

  1.006  IF           NOT(VERSIONCHECK("7.3.38"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning

  1.011  HEAD         PRELIMINARY INSTRUCTIONS
  1.012  CALL         Sub Select Failed Test Mode
  1.013  CALL         Sub Select Guardbanding & Ver Method

  1.014  DISP         Ensure a minimum UUT warm-up time of at least
  1.014  DISP         20 minutes has been allowed to elapse, prior
  1.014  DISP         to beginning verification.

  1.015  HEAD         UUT IDENTIFICATION
  1.016  TARGET
  1.017  CALL         Sub TDS500/600/700 Setup IEEE
  1.018  IEEE2        *RST;DESE 61
  1.019  WAIT         -t 4 System Initializing ...

  1.020  MATH         @UUT_Manufacturer  = "TEKTRONIX"
  1.021  MATH         @UUT_AssetNum      = UUT()

  1.022  IF           NOT(EMPTY(@UUT_AssetNum))
  1.023  MATH         @UUT_SerialNum = SN(@UUT_AssetNum)
  1.024  ENDIF

  1.025  CALL         Sub IEEE-488.2 Identification Query IEEE
  1.026  CALL         Sub IEEE-488.2 Identification Query Check Response

  1.027  IF           @Abort
  1.028  END
  1.029  ENDIF

  1.030  HEAD         EQUIPMENT REQUIREMENTS
  1.031  OPBR         -z Do you want to REVIEW the list of additional
  1.031  OPBR         equipment and/or accessories required?

  1.032  IF           MEM1
  1.033  DISP         The following additional equipment and/or accessories
  1.033  DISP         are required:
  1.033  DISP
  1.033  DISP         - Cable, coaxial, BNC(m) to test clips, 36"
  1.033  DISP         [32] (Pomona 3787-C-36 or equivalent)
  1.033  DISP         - Cable, coaxial, BNC(m)-(m), 36"
  1.033  DISP         - Cable, coaxial, BNC(m)-(m), 12"
  1.033  DISP         - Dual Input Coupler (BNC)
  1.033  DISP         - 50 Ohm Feedthrough (BNC)
  1.034  ENDIF

  1.035  CALL         Sub TDS500A Specifications
  1.036  CALL         Sub TDS500/600/700 Self-Test IEEE
  1.037  JMPL         END                          @Abort
  1.038  CALL         Sub TDS500/600/700 Sig Path Comp Cal IEEE
  1.039  JMPL         END                          @Abort

  1.040  MATH         @Chan = 1
  1.041  CALL         Sub TDS500A (1 yr) DC Offset IEEE
  1.042  MATH         @Chan = 2
  1.043  CALL         Sub TDS500A (1 yr) DC Offset IEEE
  1.044  MATH         @Chan = 3
  1.045  CALL         Sub TDS500A (1 yr) DC Offset IEEE
  1.046  MATH         @Chan = 4
  1.047  CALL         Sub TDS500A (1 yr) DC Offset IEEE

  1.048  MATH         @Chan = 1
  1.049  CALL         Sub TDS510A (1 yr) DCV Meas Acc IEEE /5500+S6
  1.050  JMPL         BANDWIDTH_CH1

  1.051  LABEL        DCV_ACC_CH2
  1.052  MATH         @Chan = 2
  1.053  CALL         Sub TDS510A (1 yr) DCV Meas Acc IEEE /5500+S6
  1.054  JMPL         BANDWIDTH_CH2

  1.055  LABEL        DCV_ACC_CH3
  1.056  MATH         @Chan = 3
  1.057  CALL         Sub TDS510A (1 yr) DCV Meas Acc IEEE /5500+S6
  1.058  JMPL         BANDWIDTH_CH3

  1.059  LABEL        DCV_ACC_CH4
  1.060  MATH         @Chan = 4
  1.061  CALL         Sub TDS510A (1 yr) DCV Meas Acc IEEE /5500+S6
  1.062  JMPL         BANDWIDTH_CH4

  1.063  LABEL        BANDWIDTH_CH1
  1.064  MATH         @Chan = 1
  1.065  CALL         Sub TDS500A (1 yr) Bandwidth IEEE /5500+S6
  1.066  JMPL         TIMEBASE_TRIGGER

  1.067  LABEL        BANDWIDTH_CH2
  1.068  MATH         @Chan = 2
  1.069  CALL         Sub TDS500A (1 yr) Bandwidth IEEE /5500+S6
  1.070  JMPL         TRIG_SENS_CH2

  1.071  LABEL        BANDWIDTH_CH3
  1.072  MATH         @Chan = 3
  1.073  CALL         Sub TDS500A (1 yr) Bandwidth IEEE /5500+S6
  1.074  JMPL         TRIG_SENS_CH3

  1.075  LABEL        BANDWIDTH_CH4
  1.076  MATH         @Chan = 4
  1.077  CALL         Sub TDS500A (1 yr) Bandwidth IEEE /5500+S6
  1.078  JMPL         TRIG_SENS_CH4

  1.079  LABEL        DELAY_MATCH
  1.080  MATH         @Chan = 1
  1.081  CALL         Sub TDS500A (1 yr) Delay Match IEEE /5500+S6
  1.082  JMPL         OUTPUT_SIGNAL

  1.083  LABEL        TIMEBASE_TRIGGER
  1.084  MATH         @Chan = 1
  1.085  CALL         Sub TDS500A (1 yr) Time Base IEEE /5500+S6
  1.086  CALL         Sub TDS500A (1 yr) Trig Time Acc IEEE /5500+S6
  1.087  CALL         Sub TDS500A (1 yr) Sens IEEE /5500+S6
# If desired, you can test the channel 2, 3, 4 trig sensitivity or skip them.
  1.088  OPBR         -z Each channel trig sensitivity test will take about
  1.088  OPBR         [V @OptChSensTime] minutes. You can skip the remaining
  1.088  OPBR         channels to save time, unless desired.
  1.088  OPBR
  1.088  OPBR         [NO]Do you want to test trig sensitivity of channel 2,
  1.088  OPBR         3, and 4?
  1.089  MATH         @TestCh234Sens = MEM1

  1.090  MATH         @Chan = 1
  1.091  CALL         Sub TDS510A/54xA (1 yr) Aux Trig In Sens IEEE /5500+S6
  1.092  JMPL         DCV_ACC_CH2

  1.093  LABEL        TRIG_SENS_CH2

  1.094  IF           @TestCh234Sens
  1.095  MATH         @Chan = 2
  1.096  CALL         Sub TDS500A (1 yr) Sens IEEE /5500+S6
  1.097  ENDIF

  1.098  JMPL         DCV_ACC_CH3

  1.099  LABEL        TRIG_SENS_CH3

  1.100  IF           @TestCh234Sens
  1.101  MATH         @Chan = 3
  1.102  CALL         Sub TDS500A (1 yr) Sens IEEE /5500+S6
  1.103  ENDIF

  1.104  JMPL         DCV_ACC_CH4

  1.105  LABEL        TRIG_SENS_CH4

  1.106  IF           @TestCh234Sens
  1.107  MATH         @Chan = 4
  1.108  CALL         Sub TDS500A (1 yr) Sens IEEE /5500+S6
  1.109  ENDIF

  1.110  JMPL         DELAY_MATCH

  1.111  LABEL        OUTPUT_SIGNAL
  1.112  CALL         Sub TDS510A/54xA (1 yr) Output Signal IEEE /5500+S6
  1.113  CALL         Sub TDS500A (1 yr) Probe Comp IEEE /5500+S6

  1.114  LABEL        END
  1.115  IEEE2        *RST;DESE 61

  1.116  IF           @Abort
  1.117  DISP         V E R I F I C A T I O N   A B O R T E D
  1.118  ENDIF

  1.119  END
